
creole - Anomalie #2300

migration23.sh : mise à niveau des attributs mailDir

10/26/2011 02:36 PM - Joël Cuissinat

Status: Fermé Start date: 10/26/2011

Priority: Haut Due date:  

Assigned To: Joël Cuissinat % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: Migration 2.3 Spent time: 1.00 hour

Distribution: EOLE 2.3   

Description

Le script déplace les boîtes des utilisateurs vers /home/mail mais dans l'annuaire, on a toujours :

mailDir: /home/l/login/MailDir/

Related issues:

Related to creole - Anomalie #2287: migration23.sh : les partages Scribe n'on... Fermé 10/24/2011

Related to creole - Anomalie #2204: migration23.sh : mettre à niveau les list... Fermé 10/12/2011

Associated revisions

Revision f4800bd9 - 01/04/2008 06:21 PM - exarkun 

Merge twist-async-errors-2300

Author: exarkun

Reviewer: mithrandi

Fixes #2300

Change DeferredSerializer so that it passes failures from the Deferred

being serialized on to the Deferred returned by the flattening function.

Without this behavior, the Deferred returned by the flattening function

is never fired when a Deferred which fails is serialized.

Revision 91866a46 - 10/05/2010 09:45 AM - Walid Nouh 

see #2300 Dictionnary for printers

Revision dc932242 - 10/06/2010 01:10 PM - Walid Nouh 

see #2300 Add missing files

Revision 670fcde7 - 11/10/2011 09:36 AM - Joël Cuissinat

migration23.sh mise à niveau des attributs mailDir lors de la sauvegarde (fixes #2300)

History

#1 - 11/02/2011 04:39 PM - Joël Cuissinat

Nb : ne pas oublier le "/" final !

ex : /home/mail/admin/
#2 - 11/03/2011 10:21 AM - Joël Cuissinat

- Target version changed from Mises à jour 2.3 - 03 RC to Migration 2.3

#3 - 11/09/2011 05:36 PM - Joël Cuissinat

fic = file("svg/scribe-0000a/eole22.ldif").read().splitlines()

new = []

for line in fic:

    if line.startswith("mailDir: ") and "/MailDir/" in line:

        new.append("mailDir: /home/mail/%s/" % line.split('/')[3])

    else:

        new.append(line)

if new != fic:

    fic2 = file("svg/scribe-0000a/new.ldif", 'w')

    fic2.write('\n'.join(new))

    fic2.close()

#4 - 11/10/2011 09:41 AM - Joël Cuissinat

- Status changed from Nouveau to Résolu

- % Done changed from 0 to 100

Appliqué par commit 670fcde7002780d903b7160b716156a0c5023a20.

#5 - 11/16/2011 01:55 PM - Joël Cuissinat

migration23.sh v20111116

root@scribe:~# ldapsearch -x uid=admin | grep ^mailDir

mailDir: /home/mail/admin/

#6 - 11/16/2011 01:55 PM - Joël Cuissinat

- Status changed from Résolu to Fermé
